<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('spek_bagunan_analisa_detail', function (Blueprint $table) {
            $table->id();
            $table->string('kategori');
            $table->string('name');

            // Foreign key to spek_bangunan_analisa
            $table->unsignedBigInteger('spek_bangunan_analisa_id');
            $table->foreign('spek_bangunan_analisa_id')->references('id')->on('spek_bagunan_analisa');

            $table->char('authorized_status', 1)->nullable();
            $table->timestamps();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('spek_bagunan_analisa_detail');
    }
};
